const Media = require('./Media');

class Show extends Media{
  constructor(name, season, mediaURLs) {
    super(name, mediaURLs);
    this.season = season < 10 ? `0${season}` : `${season}`;
  }

  getParsedEpisodeNumberForURL(downloadURL) {
    const episode = this.downloadURLs.indexOf(downloadURL) + 1;
    return episode < 10 ? `0${episode}` : `${episode}`;
  }

  getDownloadPackageName() {
    return this.name;
  }

  getDownloadDestinationFolder() {
    return `${this.name}/Season ${this.season}`;
  }

  getDownloadFilename(ext, downloadURL) {
    return `${this.name} - S${this.season}E${this.getParsedEpisodeNumberForURL(downloadURL)}.${ext}`;
  }
}

module.exports = Show;
